CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SPTUserFactory Class Reference
Inheritance diagram for SPTUserFactory:
[legend]
Collaboration diagram for SPTUserFactory:
[legend]

## Public Member Functions
| GetTopContributors ($Limit=5)
| Get the users sorted by how many resources they have added or edited, starting with those who have added/edited the most.
| GetMostRecentContributors ($Limit=5)
| Get the users sorted by when they last added or edited a resource starting with those who added/edited a resource most recently.
Public Member Functions inherited from UserFactory
| UserFactory ()
| Object constructor.
| CreateNewUser ($UserName, $Password, $PasswordAgain, $EMail, $EMailAgain, $IgnoreErrorCodes=NULL)
| Create new user.
| TestNewUserValues ($UserName, $Password, $PasswordAgain, $EMail, $EMailAgain)
| GetUserCount ($Condition=NULL)
| Return number of users in the system.
| GetMatchingUserCount ()
| GetLoggedInUsers ($InactivityTimeout=60)
| Get users who are currently logged in (i.e.
| GetRecentlyLoggedInUsers ($Since=NULL, $Limit=10)
| GetUsersWithPrivileges ()
| FindUsers ($SearchString, $FieldName="UserName", $SortFieldName="UserName", $Offset=0, $Count=9999999)
| FindUserNames ($SearchString, $FieldName="UserName", $SortFieldName="UserName", $Offset=0, $Count=9999999)
| GetMatchingUsers ($SearchString, $FieldName=NULL, $SortFieldName="UserName", $ResultsStartAt=0, $ReturnNumber=NULL)
| UserNameExists ($UserName)
| EMailAddressIsInUse ($Address)
| GetNewestUsers ($Limit=5)
| Get the users sorted by when they signed up, starting with those who signed up most recently.
| CompareUsersForSort ($UserA, $UserB)

## Additional Inherited Members
Public Attributes inherited from UserFactory
| $DB
| $SortFieldName
| $MatchingUserCount

## Detailed Description

Definition at line 11 of file SPTUserFactory.php.

## Member Function Documentation

SPTUserFactory::GetMostRecentContributors | ( |  | $Limit = `5` | ) |

Get the users sorted by when they last added or edited a resource starting with those who added/edited a resource most recently.

By default, the number of users returned is five.

Parameters

  $Limit | the maximum number of users to return

Definition at line 52 of file SPTUserFactory.php.

References UserFactory\$DB.

SPTUserFactory::GetTopContributors | ( |  | $Limit = `5` | ) |

Get the users sorted by how many resources they have added or edited, starting with those who have added/edited the most.

By default, the number of users returned is five.

Parameters

  $Limit | the maximum number of users to return

Definition at line 21 of file SPTUserFactory.php.

References UserFactory\$DB.

The documentation for this class was generated from the following file:

- objects/SPTUserFactory.php